summarylogtreecommitdiffstats
path: root/tjmc-launcher.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-11 10:00:43 +0800
committerzxp198210052023-12-11 10:00:43 +0800
commit37b9509a67e5c1eb9a8009b4c7916b0a7faf0d27 (patch)
tree0a2f4fe32e0f6e7e9fd8c5afa399106e348c4820 /tjmc-launcher.sh
parent9a8baca3afae6559b2088fa507c62f47e25413c8 (diff)
downloadaur-37b9509a67e5c1eb9a8009b4c7916b0a7faf0d27.tar.gz
update to 0.2.2
Diffstat (limited to 'tjmc-launcher.sh')
-rw-r--r--tjmc-launcher.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/tjmc-launcher.sh b/tjmc-launcher.sh
index 09a458270cd9..2ec4412e5c4f 100644
--- a/tjmc-launcher.sh
+++ b/tjmc-launcher.sh
@@ -1,13 +1,14 @@
#!/bin/bash
-APPDIR="/usr/lib/tjmc-launcher"
-export PATH="${APPDIR}:${PATH}"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
export ELECTRON_IS_DEV=0
-#export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- cd $APPDIR
- exec electron@electronversion@ ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file